> For the complete documentation index, see [llms.txt](https://docs.finpay.id/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.finpay.id/api-reference/finpay-pg/snap/qris/refund-payment.md).

# Refund Payment

### Technical Specification <a href="#technical-specification" id="technical-specification"></a>

| Environment | Method | URL                                                               |
| ----------- | ------ | ----------------------------------------------------------------- |
| Development | POST   | <https://devo.finnet.co.id/pg/payment/card/v1.0/qr/qr-mpm-refund> |
| Production  | POST   | <https://live.finnet.co.id/pg/payment/card/v1.0/qr/qr-mpm-refund> |

### Body Request <a href="#body-request" id="body-request"></a>

| No | Name                       | Type                                                                  | Mandatory | Min Length | Max Length | Description                                                  |
| -- | -------------------------- | --------------------------------------------------------------------- | --------- | ---------- | ---------- | ------------------------------------------------------------ |
| 1  | merchantId                 | String                                                                | M         | 1          | 64         | Merchant identifier, unique per each merchant                |
| 2  | submerchantId              | String                                                                | O         | 1          | 32         | Sub Merchant ID                                              |
| 3  | originalPartnerReferanceNo | String                                                                | O         | 1          | 64         | Original Transaction identifier on service consumer system   |
| 4  | originalReferenceNo        | String                                                                | M         | 1          | 64         | Original transaction identifier on service provider system   |
| 5  | partnerRefundNo            | String                                                                | M         | 1          | 64         | ReferenceNumber from PJP AIS for the refund. Invoice Number. |
| 6  | refundAmount               | [Object](/api-reference/appendix/json-object/refund-amount-object.md) | M         | 1          | 2          | Detail of amount                                             |
| 7  | reason                     | String                                                                | M         | 1          | 256        | Refund reason                                                |

#### Sample Request <a href="#sample-request" id="sample-request"></a>

```
{
   "merchantId":"FM2007160001",
   "subMerchantId":"FM2007160001",
   "originalPartnerReferenceNo":"INV012021123123123",
   "originalReferenceNo":"weoOiX7RIjSBA31QGcUxrJLyaKFH0z5T",
   "partnerRefundNo":"4716238712631127",
   "refundAmount":{
      "value":"10000.00",
      "currency":"IDR"
   },
   "reason":"Refund Reason"
}
```

### Body Response <a href="#body-response" id="body-response"></a>

| No | Name                       | Type                                                                  | Mandatory | Min Length | Max Length | Description                                                |
| -- | -------------------------- | --------------------------------------------------------------------- | --------- | ---------- | ---------- | ---------------------------------------------------------- |
| 1  | responseCode               | [Enum](/api-reference/appendix/enumeration/response-code-list.md)     | M         | 1          | 7          | BI SNAP Response Code.                                     |
| 2  | responseMessage            | String                                                                | M         | 1          | 150        | BI SNAP Response Message.                                  |
| 3  | originalPartnerReferenceNo | String                                                                | O         | 1          | 64         | Original transaction identifier on service consumer system |
| 4  | originalReferenceNo        | String                                                                | M         | 1          | 64         | Original transaction identifier on service provider system |
| 5  | referenceNo                | String                                                                | M         | 1          | 64         | Transaction identifier on service provider system          |
| 6  | refundAmount               | [Object](/api-reference/appendix/json-object/refund-amount-object.md) | O         | 1          | 2          | Detail of amount                                           |
| 7  | refundTime                 | String                                                                | M         | 1          | 26         | Refund time.ISO 8601 Exp. 2020-12-21T17:21:41+07:00        |

#### Sample Response <a href="#sample-response" id="sample-response"></a>

```
{
   "responseCode":"2005300",
   "responseMessage":"Request has been processed successfully",
  "originalPartnerReferenceNo":"INV012021123123123",
   "originalReferenceNo":"weoOiX7RIjSBA31QGcUxrJLyaKFH0z5T ",
   "referenceNo":"weoOiX7RIjSBA31QGcUxrJLyaKFH0z5T ",
   "refundAmount ":{
      "value":"10000.00",
      "currency":"IDR"
   },
   "refundTime":"2020-12-21T17:21:41+07:00"
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.finpay.id/api-reference/finpay-pg/snap/qris/refund-payment.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
